Subject: Re: bug#22083: 25.0.50; hg: adding tag enhances the rev, modeline does not reflect

From: Dmitry Gutov <[email-masked]>
Date: Fri, 4 Dec 2015 13:41:17 +0200

On 12/04/2015 10:55 AM, Eli Zaretskii wrote:
> A file
> under Git shows me a (silly, IMO) "Git-BRANCH_NAME" string that tells
> absolutely nothing about the current revision.

IMO, knowing the current branch is more useful than knowing the current 
revision. If I want to know the revision, usually it's because I want to 
copy the hash string. I can't do that from the mode-line, so I have to 
use vc-print-root-log anyway.

> So IMO before we discuss Uwe's request, we should decide what exactly
> is the meaning of that string we show in the modeline.  I don't think
> it is well defined as things stand now.

Sure.